package com.fs.store.service;

import java.math.BigDecimal;
import java.util.List;
import com.fs.store.domain.FsUserBill;
import com.fs.store.param.FsUserBillParam;
import com.fs.store.param.FsUserBillQueryParam;
import com.fs.store.vo.FsUserBillVO;

/**
 * 用户账单Service接口
 * 
 * @author fs
 * @date 2022-04-03
 */
public interface IFsUserBillService 
{
    /**
     * 查询用户账单
     * 
     * @param id 用户账单ID
     * @return 用户账单
     */
    public FsUserBill selectFsUserBillById(Long id);

    /**
     * 查询用户账单列表
     * 
     * @param fsUserBill 用户账单
     * @return 用户账单集合
     */
    public List<FsUserBill> selectFsUserBillList(FsUserBill fsUserBill);

    /**
     * 新增用户账单
     * 
     * @param fsUserBill 用户账单
     * @return 结果
     */
    public int insertFsUserBill(FsUserBill fsUserBill);

    /**
     * 修改用户账单
     * 
     * @param fsUserBill 用户账单
     * @return 结果
     */
    public int updateFsUserBill(FsUserBill fsUserBill);

    /**
     * 批量删除用户账单
     * 
     * @param ids 需要删除的用户账单ID
     * @return 结果
     */
    public int deleteFsUserBillByIds(Long[] ids);

    /**
     * 删除用户账单信息
     * 
     * @param id 用户账单ID
     * @return 结果
     */
    public int deleteFsUserBillById(Long id);

    void addBill(Long uid,String cate,Integer billType, String title, double number, double balance, String remark,String busId,Long tuiUserId);


    List<FsUserBill> selectFsUserBillListQuery(FsUserBillQueryParam param);

    List<FsUserBillVO> selectFsUserBillListVO(FsUserBillParam fsUserBill);

    BigDecimal selectFsUserBillTotalByUserId(String userId, String cate);
}
